Index: /trunk/BNC/Example_Configs/01_RinexObs.bnc
===================================================================
--- /trunk/BNC/Example_Configs/01_RinexObs.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/01_RinexObs.bnc	(revision 7558)
@@ -136,5 +136,5 @@
 lcGPS=no
 lcGalileo=no
-logFilePPP=
+logPath=
 mapSpeedSlider=100
 mapWinDotColor=red
@@ -144,5 +144,5 @@
 minEle=0
 minObs=4
-nmeaFile=
+nmeaPath=
 plotCoordinates=
 rinexNav=
@@ -151,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -157,2 +157,3 @@
 useGoogleMap=false
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/02_RinexEph.bnc
===================================================================
--- /trunk/BNC/Example_Configs/02_RinexEph.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/02_RinexEph.bnc	(revision 7558)
@@ -136,9 +136,7 @@
 lcGPS=no
 lcGalileo=no
-logFilePPP=
+logPath=
 mapSpeedSlider=100
 mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
 mapWinDotSize=
 maxResC1=4.0
@@ -146,6 +144,5 @@
 minEle=0
 minObs=4
-nmeaFile=
-nmeaFile=
+nmeaPath=
 plotCoordinates=
 rinexNav=
@@ -154,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -160,2 +157,3 @@
 useGoogleMap=false
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/03_BrdcCorr.bnc
===================================================================
--- /trunk/BNC/Example_Configs/03_BrdcCorr.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/03_BrdcCorr.bnc	(revision 7558)
@@ -136,9 +136,7 @@
 lcGPS=no
 lcGalileo=no
-logFilePPP=
+logPath=
 mapSpeedSlider=100
 mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
 mapWinDotSize=
 maxResC1=4.0
@@ -146,6 +144,5 @@
 minEle=0
 minObs=4
-nmeaFile=
-nmeaFile=
+nmeaPath=
 plotCoordinates=
 rinexNav=
@@ -154,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -160,2 +157,3 @@
 useGoogleMap=false
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/04_RinexConcat.bnc
===================================================================
--- /trunk/BNC/Example_Configs/04_RinexConcat.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/04_RinexConcat.bnc	(revision 7558)
@@ -121,5 +121,6 @@
 uploadSamplSp3=0
 outWait=5
-\[PPP\]
+
+[PPP]
 antexFile=
 audioResponse=
@@ -135,5 +136,5 @@
 lcGPS=
 lcGalileo=
-logFilePPP=
+logPath=
 mapSpeedSlider=
 mapWinDotColor=red
@@ -143,5 +144,5 @@
 minEle=
 minObs=
-nmeaFile=
+nmeaPath=
 plotCoordinates=
 rinexNav=
@@ -150,5 +151,5 @@
 sigmaC1=
 sigmaL1=
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=
@@ -156,2 +157,3 @@
 useGoogleMap=
 useOpenStreetMap=
+v3filenames=0
Index: /trunk/BNC/Example_Configs/05_RinexQC.bnc
===================================================================
--- /trunk/BNC/Example_Configs/05_RinexQC.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/05_RinexQC.bnc	(revision 7558)
@@ -136,9 +136,7 @@
 lcGPS=no
 lcGalileo=no
-logFilePPP=
+logPath=
 mapSpeedSlider=100
 mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
 mapWinDotSize=
 maxResC1=4.0
@@ -146,6 +144,5 @@
 minEle=0
 minObs=4
-nmeaFile=
-nmeaFile=
+nmeaPath=
 plotCoordinates=
 rinexNav=
@@ -154,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -160,2 +157,3 @@
 useGoogleMap=false
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/06_RTK.bnc
===================================================================
--- /trunk/BNC/Example_Configs/06_RTK.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/06_RTK.bnc	(revision 7558)
@@ -136,9 +136,7 @@
 lcGPS=no
 lcGalileo=no
-logFilePPP=
+logPath=
 mapSpeedSlider=100
 mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
 mapWinDotSize=
 maxResC1=4.0
@@ -146,6 +144,5 @@
 minEle=0
 minObs=4
-nmeaFile=
-nmeaFile=
+nmeaPath=
 plotCoordinates=
 rinexNav=
@@ -154,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -160,2 +157,3 @@
 useGoogleMap=false
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/07_FeedEngine.bnc
===================================================================
--- /trunk/BNC/Example_Configs/07_FeedEngine.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/07_FeedEngine.bnc	(revision 7558)
@@ -136,9 +136,7 @@
 lcGPS=no
 lcGalileo=no
-logFilePPP=
+logPath=
 mapSpeedSlider=100
 mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
 mapWinDotSize=
 maxResC1=4.0
@@ -146,6 +144,5 @@
 minEle=0
 minObs=4
-nmeaFile=
-nmeaFile=
+nmeaPath=
 plotCoordinates=
 rinexNav=
@@ -154,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -160,2 +157,3 @@
 useGoogleMap=false
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/08_PPP.bnc
===================================================================
--- /trunk/BNC/Example_Configs/08_PPP.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/08_PPP.bnc	(revision 7558)
@@ -136,9 +136,7 @@
 lcGPS=P3&L3
 lcGalileo=no
-logFilePPP=Output/PPP_${STATION}_${DATE}.log
+logPath=Output
 mapSpeedSlider=100
 mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
 mapWinDotSize=6
 maxResC1=4.0
@@ -146,6 +144,5 @@
 minEle=7
 minObs=4
-nmeaFile=
-nmeaFile=
+nmeaPath=
 plotCoordinates=FFMJ1
 rinexNav=
@@ -154,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -160,2 +157,3 @@
 useGoogleMap=true
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/09_PPPNet.bnc
===================================================================
--- /trunk/BNC/Example_Configs/09_PPPNet.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/09_PPPNet.bnc	(revision 7558)
@@ -136,5 +136,5 @@
 lcGPS=P3&L3
 lcGalileo=no
-logFilePPP=Output/PPP_${STATION}_${DATE}.log
+logPath=Output
 mapSpeedSlider=100
 mapWinDotColor=red
@@ -144,5 +144,5 @@
 minEle=7
 minObs=4
-nmeaFile=
+nmeaPath=
 plotCoordinates=FFMJ1
 rinexNav=
@@ -151,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -157,2 +157,3 @@
 useGoogleMap=true
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/10_PPPQuickStart.bnc
===================================================================
--- /trunk/BNC/Example_Configs/10_PPPQuickStart.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/10_PPPQuickStart.bnc	(revision 7558)
@@ -136,9 +136,7 @@
 lcGPS=L3
 lcGalileo=no
-logFilePPP=Output/PPP_${STATION}_${DATE}.log
+logPath=Output
 mapSpeedSlider=100
 mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
 mapWinDotSize=6
 maxResC1=4.0
@@ -146,6 +144,5 @@
 minEle=7
 minObs=4
-nmeaFile=Output/nmea.txt
-nmeaFile=Output/PPP_${STATION}_${DATE}.nmea
+nmeaPath=Output
 plotCoordinates=FFMJ1
 rinexNav=
@@ -154,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=Output/PPP_${STATION}.${YY}.zpd
+snxtroPath=Output
 snxtroIntr=1 hour
 snxtroSampl=30
@@ -160,2 +157,3 @@
 useGoogleMap=true
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/11_PPPPostProc.bnc
===================================================================
--- /trunk/BNC/Example_Configs/11_PPPPostProc.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/11_PPPPostProc.bnc	(revision 7558)
@@ -136,5 +136,5 @@
 lcGPS=P3&L3
 lcGalileo=L3
-logFilePPP=Output/PPP_${STATION}_${DATE}.log
+logPath=Output
 mapSpeedSlider=23
 mapWinDotColor=red
@@ -144,5 +144,5 @@
 minEle=5
 minObs=4
-nmeaFile=
+nmeaPath=
 plotCoordinates=CUT0
 rinexNav=Input/BRDC194M.15P
@@ -151,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -157,2 +157,3 @@
 useGoogleMap=true
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/12_PPPGoogleMaps.bnc
===================================================================
--- /trunk/BNC/Example_Configs/12_PPPGoogleMaps.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/12_PPPGoogleMaps.bnc	(revision 7558)
@@ -136,5 +136,5 @@
 lcGPS=P3&L3
 lcGalileo=no
-logFilePPP=Output/PPP_${STATION}_${DATE}.log
+logPath=Output
 mapSpeedSlider=1
 mapWinDotColor=red
@@ -144,5 +144,5 @@
 minEle=5
 minObs=4
-nmeaFile=
+nmeaPath=
 plotCoordinates=
 rinexNav=Input/brdc1690.13p
@@ -151,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -157,2 +157,3 @@
 useGoogleMap=true
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/13_SPPQuickStart.bnc
===================================================================
--- /trunk/BNC/Example_Configs/13_SPPQuickStart.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/13_SPPQuickStart.bnc	(revision 7558)
@@ -136,9 +136,7 @@
 lcGPS=P3&L3
 lcGalileo=no
-logFilePPP=Output/PPP_${STATION}_${DATE}.log
+logPath=Output
 mapSpeedSlider=100
 mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
 mapWinDotSize=6
 maxResC1=4.0
@@ -146,6 +144,5 @@
 minEle=7
 minObs=4
-nmeaFile=
-nmeaFile=
+nmeaPath=
 plotCoordinates=FFMJ1
 rinexNav=
@@ -154,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -160,2 +157,3 @@
 useGoogleMap=true
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/14_SaveSp3.bnc
===================================================================
--- /trunk/BNC/Example_Configs/14_SaveSp3.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/14_SaveSp3.bnc	(revision 7558)
@@ -136,9 +136,7 @@
 lcGPS=no
 lcGalileo=no
-logFilePPP=
+logPath=
 mapSpeedSlider=100
 mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
 mapWinDotSize=
 maxResC1=4.0
@@ -146,6 +144,5 @@
 minEle=0
 minObs=4
-nmeaFile=
-nmeaFile=
+nmeaPath=
 plotCoordinates=
 rinexNav=
@@ -154,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -160,2 +157,3 @@
 useGoogleMap=false
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/15_Sp3ETRFPPP.bnc
===================================================================
--- /trunk/BNC/Example_Configs/15_Sp3ETRFPPP.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/15_Sp3ETRFPPP.bnc	(revision 7558)
@@ -136,9 +136,7 @@
 lcGPS=P3&L3
 lcGalileo=no
-logFilePPP=Output/PPP_${STATION}_${DATE}.log
+logPath=Output
 mapSpeedSlider=100
 mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
 mapWinDotSize=6
 maxResC1=4.0
@@ -146,6 +144,5 @@
 minEle=7
 minObs=4
-nmeaFile=
-nmeaFile=
+nmeaPath=
 plotCoordinates=FFMJ1
 rinexNav=
@@ -154,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -160,2 +157,3 @@
 useGoogleMap=true
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/16_Upload.bnc
===================================================================
--- /trunk/BNC/Example_Configs/16_Upload.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/16_Upload.bnc	(revision 7558)
@@ -136,9 +136,7 @@
 lcGPS=no
 lcGalileo=no
-logFilePPP=
+logPath=
 mapSpeedSlider=100
 mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
 mapWinDotSize=
 maxResC1=4.0
@@ -146,6 +144,5 @@
 minEle=0
 minObs=4
-nmeaFile=
-nmeaFile=
+nmeaPath=
 plotCoordinates=
 rinexNav=
@@ -154,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -160,2 +157,3 @@
 useGoogleMap=false
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/17_UploadPPP.bnc
===================================================================
--- /trunk/BNC/Example_Configs/17_UploadPPP.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/17_UploadPPP.bnc	(revision 7558)
@@ -136,9 +136,7 @@
 lcGPS=P3&L3
 lcGalileo=no
-logFilePPP=PPP_${STATION}_${DATE}.log
+logPath=Output
 mapSpeedSlider=100
 mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
 mapWinDotSize=6
 maxResC1=4.0
@@ -146,6 +144,5 @@
 minEle=7
 minObs=4
-nmeaFile=
-nmeaFile=
+nmeaPath=
 plotCoordinates=FFMJ1
 rinexNav=
@@ -154,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -160,2 +157,3 @@
 useGoogleMap=true
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/18_Combi.bnc
===================================================================
--- /trunk/BNC/Example_Configs/18_Combi.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/18_Combi.bnc	(revision 7558)
@@ -136,9 +136,7 @@
 lcGPS=no
 lcGalileo=no
-logFilePPP=
+logPath=
 mapSpeedSlider=100
 mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
 mapWinDotSize=
 maxResC1=4.0
@@ -146,6 +144,5 @@
 minEle=0
 minObs=4
-nmeaFile=
-nmeaFile=
+nmeaPath=
 plotCoordinates=
 rinexNav=
@@ -154,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -160,2 +157,3 @@
 useGoogleMap=false
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/19_CombiPPP.bnc
===================================================================
--- /trunk/BNC/Example_Configs/19_CombiPPP.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/19_CombiPPP.bnc	(revision 7558)
@@ -136,9 +136,7 @@
 lcGPS=P3&L3
 lcGalileo=no
-logFilePPP=PPP_${STATION}_${DATE}.log
+logPath=Output
 mapSpeedSlider=100
 mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
 mapWinDotSize=6
 maxResC1=4.0
@@ -146,6 +144,5 @@
 minEle=3
 minObs=4
-nmeaFile=
-nmeaFile=
+nmeaPath=
 plotCoordinates=FFMJ1
 rinexNav=
@@ -154,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -160,2 +157,3 @@
 useGoogleMap=true
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/20_UploadEph.bnc
===================================================================
--- /trunk/BNC/Example_Configs/20_UploadEph.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/20_UploadEph.bnc	(revision 7558)
@@ -136,9 +136,7 @@
 lcGPS=no
 lcGalileo=no
-logFilePPP=
+logPath=
 mapSpeedSlider=100
 mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
 mapWinDotSize=
 maxResC1=4.0
@@ -146,6 +144,5 @@
 minEle=0
 minObs=4
-nmeaFile=
-nmeaFile=
+nmeaPath=
 plotCoordinates=
 rinexNav=
@@ -154,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -160,2 +157,3 @@
 useGoogleMap=false
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/21_CompareSp3.bnc
===================================================================
--- /trunk/BNC/Example_Configs/21_CompareSp3.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/21_CompareSp3.bnc	(revision 7558)
@@ -136,5 +136,5 @@
 lcGPS=no
 lcGalileo=no
-logFilePPP=
+logPath=
 mapSpeedSlider=100
 mapWinDotColor=red
@@ -144,5 +144,5 @@
 minEle=0
 minObs=4
-nmeaFile=
+nmeaPath=
 plotCoordinates=
 rinexNav=
@@ -151,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -157,2 +157,3 @@
 useGoogleMap=false
 useOpenStreetMap=false
+v3filenames=0
Index: /trunk/BNC/Example_Configs/22_Empty.bnc
===================================================================
--- /trunk/BNC/Example_Configs/22_Empty.bnc	(revision 7557)
+++ /trunk/BNC/Example_Configs/22_Empty.bnc	(revision 7558)
@@ -136,5 +136,5 @@
 lcGPS=no
 lcGalileo=no
-logFilePPP=
+logPath=
 mapSpeedSlider=100
 mapWinDotColor=red
@@ -144,5 +144,5 @@
 minEle=0
 minObs=4
-nmeaFile=
+nmeaPath=
 plotCoordinates=
 rinexNav=
@@ -151,5 +151,5 @@
 sigmaC1=2.0
 sigmaL1=0.01
-snxtroFile=
+snxtroPath=
 snxtroIntr=1 hour
 snxtroSampl=0
@@ -157,2 +157,3 @@
 useGoogleMap=false
 useOpenStreetMap=false
+v3filenames=0