Index: trunk/BNC/src/bnchelp.html
===================================================================
--- trunk/BNC/src/bnchelp.html	(revision 7561)
+++ trunk/BNC/src/bnchelp.html	(revision 7566)
@@ -11,5 +11,5 @@
 
 <p><b>Table of <a name="contents">Contents</b><br><br>
-<b>1.</b> <a href=#genInstruction><b>General Instructions</b></a><br><br>
+<b>1.</b> <a href=#genInstruction><b>General Information</b></a><br><br>
 &nbsp; &nbsp; &nbsp; 1.1 <a href=#introPurpose>Purpose</a><br>
 &nbsp; &nbsp; &nbsp; 1.2 <a href=#introSystem>Supported Systems</a><br>
@@ -244,5 +244,5 @@
 <tr><td>34</td><td>Bandwidth consumption of incoming streams</td><td>2.18.2</td></tr>
 <tr><td>35</td><td>Latency of incoming streams</td><td>2.18.3</td></tr>
-<tr><td>36</td><td>Time series plot of PPP session</td><td>2.18.4</td></tr>
+<tr><td>36</td><td>Time series plot of PPP session showing displacements</td><td>2.18.4</td></tr>
 <tr><td>37</td><td>Steam input communication links</td><td>2.19</td></tr>
 <tr><td>38</td><td>Casters table</td><td>2.19.1.1.2</td></tr>
@@ -260,5 +260,5 @@
 </p>
 
-<p><h3>1. <a name="genInstruction">General Instructions</h3></p>
+<p><h3>1. <a name="genInstruction">General Information</h3></p>
 <p>
 The BKG Ntrip Client (BNC) is a program for simultaneously retrieving, decoding, converting and processing or analyzing real-time GNSS data streams applying the 'Networked Transport of RTCM via Internet Protocol' (Ntrip) standard. It has been developed within the framework of the IAG sub-commission for Europe (EUREF) and the International GNSS Service (IGS). Although meant as a real-time tool, it comes with some Post Processing functionality. You may like to use it for data coming from Ntrip Broadcasters like
@@ -304,5 +304,5 @@
 
 <p>
-BNC provides context-sensitive online help (<i>What's This</i>) related to specific objects. It furthermore comes with the here presented documentation, available as an integral part of the software and as a PDF file. Responsible for online and offline documentation, example configurations (and till February 2014 the overall BNC policy concept) is Dr. Georg Weber [georg.weber@bkg.bund.de].
+BNC provides context-sensitive help (<i>What's This</i>) related to specific objects. It furthermore comes with the here presented documentation, available as part of the software and as a PDF file. Responsible for online and offline documentation, example configurations (and till February 2014 the overall BNC policy concept) is Dr. Georg Weber [georg.weber@bkg.bund.de].
 </p>
 
@@ -1608,7 +1608,7 @@
 <br>
 <pre>
-C:2&7 E:1&5 G:1&2 J:1&2 R:1&2 S:1&5
-</pre>
-This default configuration will present;
+   C:2&7 E:1&5 G:1&2 J:1&2 R:1&2 S:1&5
+</pre>
+This default configuration will present:
 <ul>
 <li>BDS plots for L2 and L7,</li>
@@ -1692,5 +1692,7 @@
 </p>
 <pre>
-   ./bnc --nw --conf rnx.conf --key reqcAction Edit/Concatenate --key reqcObsFile "tlse119b00.12o,tlse119b15.12o,tlse119b30.12o,tlse119b45.12o" --key reqcOutObsFile tlse119b.12o --key reqcRnxVersion 3 --key reqcSampling 30
+   ./bnc --nw --conf rnx.conf --key reqcAction Edit/Concatenate --key reqcObsFile 
+   "tlse119b00.12o,tlse119b15.12o,tlse119b30.12o,tlse119b45.12o" --key 
+   reqcOutObsFile tlse119b.12o --key reqcRnxVersion 3 --key reqcSampling 30
 </pre>
 <p>
@@ -1705,5 +1707,7 @@
 <p>The following Linux command line produces RINEX QC plots (see Estey and Meertens 1999) offline in 'no window' mode and saves them in directory '/home/user'. Introducing a dummy configuration file /dev/null makes sure that no configuration options previously saved on disc are used:</p>
 <pre>
-   /home/user/bnc --conf /dev/null --key reqcAction Analyze --key reqcObsFile CUT02070.12O --key reqcNavFile BRDC2070.12P --key reqcOutLogFile CUT0.txt --key reqcPlotDir /home/user --nw
+   /home/user/bnc --conf /dev/null --key reqcAction Analyze --key reqcObsFile 
+   CUT02070.12O --key reqcNavFile BRDC2070.12P --key reqcOutLogFile CUT0.txt --key
+   reqcPlotDir /home/user --nw
 </pre>
 </p>
@@ -1711,5 +1715,7 @@
 </p>
 <pre>
-   /home/user/bnc --conf /dev/null --key reqcAction Analyze --key reqcObsFile CUT02070.12O --key reqcNavFile BRDC2070.12P --key reqcOutLogFile CUT0.txt --key --key startTab 4 --key autoStart 2
+   /home/user/bnc --conf /dev/null --key reqcAction Analyze --key reqcObsFile 
+   CUT02070.12O --key reqcNavFile BRDC2070.12P --key reqcOutLogFile CUT0.txt --key
+   --key startTab 4 --key autoStart 2
 </pre>
 </p>
@@ -3476,15 +3482,16 @@
 </p>
 <p>
+<ul>
 <li>Satellite specific parameters </li>
-</p>
-<ul>
+</ul>
+</p>
+<p>
 A set of parameters can be defined for each satellite as follows:
-<p>
-&lt;SatelliteID&gt; &lt;key&gt; &lt;numValues&gt; &lt;value1 value2 ...&gt; &lt;key&gt; &lt;numValues&gt; &lt;value1 value2 ...&gt; ...
+<pre>
+&lt;SatelliteID&gt; &lt;key&gt; &lt;numValues&gt; &lt;value1 value2 ...&gt; &lt;key&gt; &lt;numValues&gt; 
+&lt;value1 value2 ...&gt; ...
 &nbsp;
-</p>
-<p>
-The following satellite specific keys and values are currently specified in BNC:
-</p>
+</pre>
+The following satellite specific keys and values are currently specified in BNC:<br><br>
 <table>
 <tr><td><i>Key&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</i></td><td><i>Values</i></td></tr>
@@ -3498,10 +3505,8 @@
 <tr><td>PhaseBias</td><td>Satellite Phase Biases in meters with two characters for frequency and tracking mode per bias as defined in RINEX 3, preceded by total number of biases and followed by Signal Wilde-Lane Integer Indicator as well as Signal Discontinuity Counter</td></tr>
 </table>
-</p>
-</ul>
+<ul>
 <li> Non-satellite specific parameters
-<ul>
-The following non-satellite specific keys and values are currently specified in BNC:
-</p>
+</ul>
+The following non-satellite specific keys and values are currently specified in BNC:<br><br>
 <table>
 <tr><td><i>Key&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</i></td><td><i>Values</i></td></tr>
@@ -3509,7 +3514,7 @@
 <tr><td>VTEC</td><td>Stands for Vertical TEC information and is followed by Update Interval and Number of Ionospheric Layers</td></tr>
 </table>
-</p>
+<br>
 If the key VTEC is specified, a data set for each layer contains within its first line the Layers Number, followed by Maximum Degree, Maximum Order and Layer Height. After that follow Cosine and Sinus Spherical Harmonic Coefficients, one block each.
-</ul>
+</p>
 <p>
 Because each keyword is associated to a certain number of values, an 'old' BNC could be operated with an incoming 'new' RTNET stream containing so far unknown keys - they would just be skipped in BNC.
@@ -3747,5 +3752,11 @@
 
 <p><h4>2.15.5 <a name="upsp3">SP3 File - optional</h4></p>
-<p>Specify a path for saving the generated orbit corrections as SP3 orbit files. If the specified directory does not exist, BNC will not create SP3 orbit files. The following is a path example for a Linux system:<br>/home/user/BNC${GPSWD}.sp3<br>Note that '${GPSWD}' produces the GPS Week and Day number in the filename.</p>
+<p>Specify a path for saving the generated orbit corrections as SP3 orbit files. If the specified directory does not exist, BNC will not create SP3 orbit files. The following is a path example for a Linux system:
+
+<pre>
+   /home/user/BNC${GPSWD}.sp3
+</pre>
+
+Note that '${GPSWD}' produces the GPS Week and Day number in the filename.</p>
 <p>
 Default is an empty option field, meaning that you don't want BNC to save the uploaded stream contents in daily SP3 files.
@@ -3871,5 +3882,5 @@
 <p>
 BNC uploads a stream to the Ntrip Broadcaster by referring to a dedicated mountpoint that has been set by its operator. Specify the mountpoint based on the details you received for your stream from the operator. It is often a four character ID (capital letters) plus an integer number.</p>
-<p>The stream upload may be protected through an upload 'Password'. Enter the password you received from the Ntrip Broadcaster operator along with the mountpoint.</p>
+<p>The stream upload follows Ntrip Version 1 and may be protected through an upload 'Password'. Enter the password you received from the Ntrip Broadcaster operator along with the mountpoint.</p>
 </p>
 
@@ -3962,5 +3973,5 @@
 
 <p><img src="IMG/screenshot13.png"/></p>
-<p><u>Figure 36:</u> Time series plot of PPP session.</p>
+<p><u>Figure 36:</u> Time series plot of PPP session showing displacements.</p>
 
 <p><h4>2.19 <a name="bottom">Bottom Menu Bar</h4></p>